# SPDX-License-Identifier: GPL-2.0-or-later
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/aspeed,ast2600-mdio.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ASPEED AST2600 MDIO Controller

maintainers:
  - Andrew Jeffery <andrew@aj.id.au>

description: |+
  The ASPEED AST2600 MDIO controller is the third iteration of ASPEED's MDIO
  bus register interface, this time also separating out the controller from the
  MAC.

allOf:
  - $ref: "mdio.yaml#"

properties:
  compatible:
    const: aspeed,ast2600-mdio
  reg:
    maxItems: 1
    description: The register range of the MDIO controller instance

required:
  - compatible
  - reg
  - "#address-cells"
  - "#size-cells"

unevaluatedProperties: false

examples:
  - |
    mdio0: mdio@1e650000 {
            compatible = "aspeed,ast2600-mdio";
            reg = <0x1e650000 0x8>;
            #address-cells = <1>;
            #size-cells = <0>;

            ethphy0: ethernet-phy@0 {
                    compatible = "ethernet-phy-ieee802.3-c22";
                    reg = <0>;
            };
    };
